* [gentoo-commits] repo/gentoo:master commit in: dev-vcs/rapidsvn/files/, dev-vcs/rapidsvn/
@ 2015-10-24 9:22 Pacho Ramos
0 siblings, 0 replies; 2+ messages in thread
From: Pacho Ramos @ 2015-10-24 9:22 UTC (permalink / raw
To: gentoo-commits
commit: 0f3f5afb945bb13bd02ec8865a8793ec5d9ac8f0
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 24 09:21:59 2015 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Oct 24 09:22:25 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f3f5afb
dev-vcs/rapidsvn: Support wxGTK:3.0 (#563348)
Package-Manager: portage-2.2.23
dev-vcs/rapidsvn/files/rapidsvn-0.12.1-wx3.0.patch | 192 +++++++++++++++++++++
dev-vcs/rapidsvn/rapidsvn-0.12.1-r2.ebuild | 126 ++++++++++++++
2 files changed, 318 insertions(+)
diff --git a/dev-vcs/rapidsvn/files/rapidsvn-0.12.1-wx3.0.patch b/dev-vcs/rapidsvn/files/rapidsvn-0.12.1-wx3.0.patch
new file mode 100644
index 0000000..2862e30
--- /dev/null
+++ b/dev-vcs/rapidsvn/files/rapidsvn-0.12.1-wx3.0.patch
@@ -0,0 +1,192 @@
+Description: Update for wx 3.0.0
+ Update configure to recognise that wx 3.0.0 >= 2.4.2.
+ Fix code for wx API changes.
+Author: Olly Betts <olly@survex.com>
+Origin: debian
+Forwarded: no
+Last-Update: 2014-04-10
+
+--- a/configure.ac
++++ b/configure.ac
+@@ -171,6 +171,8 @@
+ ;;
+ [2.[5-9].*])
+ ;;
++ 3.*)
++ ;;
+ *)
+ AC_MSG_ERROR([wxWidgets >= 2.4.2 required, found version $WX_VERSION])
+ AC_MSG_ERROR([Try --with-wx-config.])
+--- a/src/filelist_ctrl.cpp
++++ b/src/filelist_ctrl.cpp
+@@ -1029,7 +1029,7 @@
+
+ // Workaround for issue 324 (only local+non-flat+update):
+ // we chdir to the requested dir and pass "." to svn
+- if (!pathUtf8.isUrl() && m->WithUpdate && !m->FlatMode)
++ if (!pathUtf8.isUrl() && m->WithUpdate && !m->FlatMode && !m->Path.empty())
+ {
+ m->IsRelative = true;
+ ::wxSetWorkingDirectory(m->Path);
+@@ -1606,7 +1606,7 @@
+ }
+ }
+
+-inline void
++bool
+ FileListCtrl::SetColumnWidth(const int col, const int width)
+ {
+ m->ColumnWidth[col] = width;
+@@ -1614,8 +1614,9 @@
+ int index = m->ColumnIndex[col];
+ if (index != -1)
+ {
+- wxListCtrl::SetColumnWidth(index, width);
++ return wxListCtrl::SetColumnWidth(index, width);
+ }
++ return false;
+ }
+
+ int
+--- a/src/filelist_ctrl.hpp
++++ b/src/filelist_ctrl.hpp
+@@ -118,7 +118,7 @@
+ * @param col column number
+ * @param width
+ */
+- void
++ bool
+ SetColumnWidth(const int col, const int width);
+
+ /**
+--- a/src/hist_val.cpp
++++ b/src/hist_val.cpp
+@@ -113,7 +113,7 @@
+ }
+
+ // if we have an entry, select it
+- if (!comboBox->IsEmpty())
++ if (!comboBox->IsListEmpty())
+ comboBox->SetSelection(0, 0);
+ }
+
+--- a/src/listener.cpp
++++ b/src/listener.cpp
+@@ -167,7 +167,7 @@
+ wxMutexLocker lock(mutex);
+ wxString localCertFile = wxFileSelector(
+ _("Select Certificate File"), wxT(""), wxT(""), wxT(""),
+- wxT("*.*"), wxOPEN | wxFILE_MUST_EXIST, parent);
++ wxT("*.*"), wxFD_OPEN | wxFD_FILE_MUST_EXIST, parent);
+ LocalToUtf8(localCertFile, certFile);
+
+ dataReceived = !localCertFile.empty();
+--- a/src/log_dlg.cpp
++++ b/src/log_dlg.cpp
+@@ -211,7 +211,7 @@
+
+ for (size_t idx = 0; idx < str.Length(); idx++)
+ {
+- switch (str[idx])
++ switch ((wchar_t)str[idx])
+ {
+ case wxT('\r'):
+ case wxT('\n'):
+--- a/src/preferences_dlg.cpp
++++ b/src/preferences_dlg.cpp
+@@ -126,7 +126,7 @@
+ PreferencesDlg::SelectExecutable(const wxString & title, wxTextCtrl * textCtrl)
+ {
+ wxFileDialog dlg(this, title, wxEmptyString, wxEmptyString,
+- EXECUTABLE_WILDCARD, wxOPEN);
++ EXECUTABLE_WILDCARD, wxFD_OPEN);
+ dlg.SetPath(textCtrl->GetValue());
+
+ if (dlg.ShowModal() != wxID_OK)
+--- a/src/verblist.cpp
++++ b/src/verblist.cpp
+@@ -71,7 +71,7 @@
+ const wxString &
+ VerbList::GetName(size_t /*index*/) const
+ {
+- return wxT("");
++ return wxEmptyString;
+ }
+
+
+--- a/src/checkout_action.cpp
++++ b/src/checkout_action.cpp
+@@ -120,7 +120,8 @@
+ pegRevision = svn::Revision(revnum);
+ }
+
+- wxSetWorkingDirectory(m_data.DestFolder);
++ if (!m_data.DestFolder.empty())
++ wxSetWorkingDirectory(m_data.DestFolder);
+
+ svn::Path repUrlUtf8(PathUtf8(m_data.RepUrl));
+ svn::Path destFolderUtf8(PathUtf8(dest_folder));
+--- a/src/action.cpp
++++ b/src/action.cpp
+@@ -218,7 +218,9 @@
+ bool
+ Action::Prepare()
+ {
+- wxSetWorkingDirectory(Utf8ToLocal(m->path.c_str()));
++ const wxString & dir = Utf8ToLocal(m->path.c_str());
++ if (!dir.empty())
++ wxSetWorkingDirectory(dir);
+
+ return true;
+ }
+--- a/src/cleanup_action.cpp
++++ b/src/cleanup_action.cpp
+@@ -52,7 +52,9 @@
+ svn::Client client(GetContext());
+ const svn::Path & path = GetPath();
+
+- wxSetWorkingDirectory(Utf8ToLocal(path.c_str()));
++ const wxString & dir = Utf8ToLocal(path.c_str());
++ if (!dir.empty())
++ wxSetWorkingDirectory(dir);
+ client.cleanup(path.c_str());
+
+ return true;
+--- a/src/export_action.cpp
++++ b/src/export_action.cpp
+@@ -111,7 +111,8 @@
+ pegRevision = svn::Revision(revnum);
+ }
+
+- wxSetWorkingDirectory(m_data.DestPath);
++ if (!m_data.DestPath.empty())
++ wxSetWorkingDirectory(m_data.DestPath);
+
+ svn::Path srcPathUtf8(PathUtf8(m_data.SrcPath));
+ svn::Path destPathUtf8(PathUtf8(m_data.DestPath));
+--- a/src/get_action.cpp
++++ b/src/get_action.cpp
+@@ -56,7 +56,9 @@
+ m_data.revision.revnum());
+ Trace(msg);
+
+- wxSetWorkingDirectory(Utf8ToLocal(GetPath().c_str()));
++ const wxString & dir = Utf8ToLocal(GetPath().c_str());
++ if (!dir.empty())
++ wxSetWorkingDirectory(dir);
+ client.update(svn::Path(LocalToUtf8(m_data.path)),
+ m_data.revision,
+ true, false);
+--- a/src/update_action.cpp
++++ b/src/update_action.cpp
+@@ -75,7 +75,9 @@
+ }
+ }
+
+- wxSetWorkingDirectory(Utf8ToLocal(GetPath().c_str()));
++ const wxString & dir = Utf8ToLocal(GetPath().c_str());
++ if (!dir.empty())
++ wxSetWorkingDirectory(dir);
+ svn::Client client(GetContext());
+
+ client.update(GetTargets(), revision, m_data.recursive,
diff --git a/dev-vcs/rapidsvn/rapidsvn-0.12.1-r2.ebuild b/dev-vcs/rapidsvn/rapidsvn-0.12.1-r2.ebuild
new file mode 100644
index 0000000..61172ba
--- /dev/null
+++ b/dev-vcs/rapidsvn/rapidsvn-0.12.1-r2.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+WX_GTK_VER=3.0
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils fdo-mime flag-o-matic python-single-r1 versionator wxwidgets
+
+MY_PV=$(get_version_component_range 1-2)
+MY_REL="1"
+
+DESCRIPTION="Cross-platform GUI front-end for the Subversion revision system"
+HOMEPAGE="http://rapidsvn.tigris.org/"
+SRC_URI="
+ http://www.rapidsvn.org/download/release/${PV}/${P}.tar.gz
+ doc? ( https://dev.gentoo.org/~jlec/distfiles/svncpp.dox.xz )"
+
+LICENSE="GPL-2 LGPL-2.1 FDL-1.2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc static-libs"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEP="
+ ${PYTHON_DEPS}
+ dev-libs/apr
+ dev-libs/apr-util
+ dev-vcs/subversion
+ x11-libs/wxGTK:${WX_GTK_VER}[X]"
+DEPEND="${COMMON_DEP}
+ doc? (
+ dev-libs/libxslt
+ app-text/docbook-sgml-utils
+ app-doc/doxygen
+ app-text/docbook-xsl-stylesheets
+ media-gfx/graphviz
+)"
+RDEPEND="${COMMON_DEP}"
+
+PATCHES=(
+ "${FILESDIR}/${P}-svncpp_link.patch"
+ "${FILESDIR}/${P}-locale.patch"
+ "${FILESDIR}/${P}-wx3.0.patch" )
+
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+DOCS=( HACKING.txt TRANSLATIONS )
+
+src_prepare() {
+ need-wxwidgets unicode
+ if use doc; then
+ mv "${WORKDIR}"/svncpp.dox doc/svncpp/ || die
+ fi
+ strip-linguas $(grep ^RAPIDSVN_LANGUAGES src/locale/Makefile.am | sed 's:RAPIDSVN_LANGUAGES=::g')
+ sed \
+ -e "/^RAPIDSVN_LANGUAGES/s:=.*:=${LINGUAS}:g" \
+ -i src/locale/Makefile.am || die
+
+ mv configure.in configure.ac || die
+
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=( --with-wx-config=${WX_CONFIG} )
+
+ if use doc; then
+ myeconfargs+=( --with-manpage=yes )
+ else
+ myeconfargs+=(
+ --without-xsltproc
+ --with-manpage=no
+ --without-doxygen
+ --without-dot )
+ fi
+
+ append-cppflags $( apr-1-config --cppflags )
+
+ myeconfargs+=(
+ --with-svn-lib="${EPREFIX}"/usr/$(get_libdir)
+ --with-svn-include="${EPREFIX}"/usr/include
+ --with-apr-config="${EPREFIX}/usr/bin/apr-1-config"
+ --with-apu-config="${EPREFIX}/usr/bin/apu-1-config"
+ )
+ autotools-utils_src_configure
+}
+
+src_compile() {
+ autotools-utils_src_compile
+ use doc && autotools-utils_src_compile -C doc/manpage manpage
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ doicon src/res/rapidsvn.ico src/res/bitmaps/${PN}*.png
+ make_desktop_entry rapidsvn "RapidSVN ${PV}" \
+ "${EPREFIX}/usr/share/pixmaps/rapidsvn_32x32.png" \
+ "RevisionControl;Development"
+
+ if use doc ; then
+ doman doc/manpage/${PN}.1
+ dohtml "${S}"/doc/svncpp/html/*
+ fi
+}
+
+src_test() {
+ pushd "${BUILD_DIR}"/src/tests/svncpp > /dev/null || die
+ emake
+ ./svncpptest | grep OK || die
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-vcs/rapidsvn/files/, dev-vcs/rapidsvn/
@ 2016-01-23 14:52 David Seifert
0 siblings, 0 replies; 2+ messages in thread
From: David Seifert @ 2016-01-23 14:52 UTC (permalink / raw
To: gentoo-commits
commit: 2ba7fcbdaa2028dc043e5b748677c9dbadfef4a3
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 23 14:50:10 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 14:52:10 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ba7fcbd
dev-vcs/rapidsvn: Add patch for building with subversion 1.9
* Gentoo-Bug: 558572
* Remove use of autotools-utils.eclass
* EAPI=6
Package-Manager: portage-2.2.27
...rapidsvn-0.12.1-subversion1.9-private-api.patch | 129 +++++++++++++++++++++
.../files/rapidsvn-0.12.1-svncpp_link.patch | 4 +-
dev-vcs/rapidsvn/rapidsvn-0.12.1-r3.ebuild | 118 +++++++++++++++++++
3 files changed, 249 insertions(+), 2 deletions(-)
diff --git a/dev-vcs/rapidsvn/files/rapidsvn-0.12.1-subversion1.9-private-api.patch b/dev-vcs/rapidsvn/files/rapidsvn-0.12.1-subversion1.9-private-api.patch
new file mode 100644
index 0000000..7c84c8d
--- /dev/null
+++ b/dev-vcs/rapidsvn/files/rapidsvn-0.12.1-subversion1.9-private-api.patch
@@ -0,0 +1,129 @@
+Fix compile errors due to hiding of private API in subversion 1.9.
+See also:
+ https://bugs.gentoo.org/show_bug.cgi?id=558572
+ https://slackbuilds.org/cgit/slackbuilds/commit/?id=c2df77021b476ca9484772361003df04fa03038a
+ https://github.com/RapidSVN/RapidSVN/issues/6
+
+--- rapidsvn-0.12.1/src/svncpp/client_ls.cpp
++++ rapidsvn-0.12.1/src/svncpp/client_ls.cpp
+@@ -29,6 +29,7 @@
+ #include "svn_client.h"
+ #include "svn_path.h"
+ #include "svn_sorts.h"
++#include "svn_version.h"
+ //#include "svn_utf.h"
+
+ // svncpp
+@@ -37,6 +38,8 @@
+ #include "svncpp/exception.hpp"
+
+
++#if SVN_VER_MAJOR == 1 && SVN_VER_MINOR < 8
++
+ static int
+ compare_items_as_paths(const svn_sort__item_t *a, const svn_sort__item_t *b)
+ {
+@@ -90,6 +93,72 @@
+ }
+ }
+
++#else
++
++#include <algorithm>
++
++static svn_error_t* store_entry(
++ void *baton,
++ const char *path,
++ const svn_dirent_t *dirent,
++ const svn_lock_t *,
++ const char *abs_path,
++ const char *,
++ const char *,
++ apr_pool_t *scratch_pool)
++{
++ svn::DirEntries *entries = reinterpret_cast<svn::DirEntries*>(baton);
++ if (path[0] == '\0') {
++ if (dirent->kind == svn_node_file) {
++ // for compatibility with svn_client_ls behaviour, listing a file
++ // stores that file name
++ entries->push_back(svn::DirEntry(svn_path_basename(abs_path, scratch_pool), dirent));
++ }
++ } else {
++ entries->push_back(svn::DirEntry(path, dirent));
++ }
++ return SVN_NO_ERROR;
++}
++
++static bool sort_by_path(svn::DirEntry const& a, svn::DirEntry const& b)
++{
++ return svn_path_compare_paths(a.name(), b.name()) < 0;
++}
++
++namespace svn
++{
++ DirEntries
++ Client::list(const char * pathOrUrl,
++ svn_opt_revision_t * revision,
++ bool recurse) throw(ClientException)
++ {
++ Pool pool;
++ DirEntries entries;
++
++ svn_error_t * error =
++ svn_client_list3(pathOrUrl,
++ revision,
++ revision,
++ SVN_DEPTH_INFINITY_OR_IMMEDIATES(recurse),
++ SVN_DIRENT_ALL,
++ FALSE, // fetch locks
++ FALSE, // include externals
++ &store_entry,
++ &entries,
++ *m_context,
++ pool);
++
++ if (error != SVN_NO_ERROR)
++ throw ClientException(error);
++
++ std::sort(entries.begin(), entries.end(), &sort_by_path);
++
++ return entries;
++ }
++}
++
++#endif
++
+ /* -----------------------------------------------------------------
+ * local variables:
+ * eval: (load-file "../../rapidsvn-dev.el")
+--- rapidsvn-0.12.1/include/svncpp/dirent.hpp
++++ rapidsvn-0.12.1/include/svncpp/dirent.hpp
+@@ -41,7 +41,7 @@
+ /**
+ * constructor for existing @a svn_dirent_t entries
+ */
+- DirEntry(const char * name, svn_dirent_t * dirEntry);
++ DirEntry(const char * name, const svn_dirent_t * dirEntry);
+
+ /**
+ * copy constructor
+--- rapidsvn-0.12.1/src/svncpp/dirent.cpp
++++ rapidsvn-0.12.1/src/svncpp/dirent.cpp
+@@ -47,7 +47,7 @@
+ {
+ }
+
+- Data(const char * _name, svn_dirent_t * dirEntry)
++ Data(const char * _name, const svn_dirent_t * dirEntry)
+ : name(_name), kind(dirEntry->kind), size(dirEntry->size),
+ hasProps(dirEntry->has_props != 0),
+ createdRev(dirEntry->created_rev), time(dirEntry->time)
+@@ -78,7 +78,7 @@
+ {
+ }
+
+- DirEntry::DirEntry(const char * name, svn_dirent_t * DirEntry)
++ DirEntry::DirEntry(const char * name, const svn_dirent_t * DirEntry)
+ : m(new Data(name, DirEntry))
+ {
+ }
diff --git a/dev-vcs/rapidsvn/files/rapidsvn-0.12.1-svncpp_link.patch b/dev-vcs/rapidsvn/files/rapidsvn-0.12.1-svncpp_link.patch
index 4df855f..e26ecda 100644
--- a/dev-vcs/rapidsvn/files/rapidsvn-0.12.1-svncpp_link.patch
+++ b/dev-vcs/rapidsvn/files/rapidsvn-0.12.1-svncpp_link.patch
@@ -1,7 +1,7 @@
Index: src/svncpp/Makefile.am
===================================================================
---- src/svncpp/Makefile.am (revision 7100)
-+++ src/svncpp/Makefile.am (working copy)
+--- rapidsvn-0.12.1/src/svncpp/Makefile.am (revision 7100)
++++ rapidsvn-0.12.1/src/svncpp/Makefile.am (working copy)
@@ -27,3 +27,7 @@
url.cpp \
wc.cpp
diff --git a/dev-vcs/rapidsvn/rapidsvn-0.12.1-r3.ebuild b/dev-vcs/rapidsvn/rapidsvn-0.12.1-r3.ebuild
new file mode 100644
index 0000000..ccaeca2
--- /dev/null
+++ b/dev-vcs/rapidsvn/rapidsvn-0.12.1-r3.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+WX_GTK_VER=3.0
+
+inherit autotools eutils fdo-mime flag-o-matic python-single-r1 versionator wxwidgets
+
+MY_PV=$(get_version_component_range 1-2)
+MY_REL="1"
+
+DESCRIPTION="Cross-platform GUI front-end for the Subversion revision system"
+HOMEPAGE="http://rapidsvn.tigris.org/"
+SRC_URI="
+ http://www.rapidsvn.org/download/release/${PV}/${P}.tar.gz
+ doc? ( https://dev.gentoo.org/~jlec/distfiles/svncpp.dox.xz )"
+
+LICENSE="GPL-2 LGPL-2.1 FDL-1.2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc static-libs"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEP="
+ ${PYTHON_DEPS}
+ dev-libs/apr
+ dev-libs/apr-util
+ dev-vcs/subversion
+ x11-libs/wxGTK:${WX_GTK_VER}[X]"
+DEPEND="${COMMON_DEP}
+ doc? (
+ dev-libs/libxslt
+ app-text/docbook-sgml-utils
+ app-doc/doxygen
+ app-text/docbook-xsl-stylesheets
+ media-gfx/graphviz
+ )"
+RDEPEND="${COMMON_DEP}"
+
+PATCHES=(
+ "${FILESDIR}/${P}-svncpp_link.patch"
+ "${FILESDIR}/${P}-locale.patch"
+ "${FILESDIR}/${P}-wx3.0.patch"
+ "${FILESDIR}/${P}-subversion1.9-private-api.patch"
+)
+
+DOCS=( HACKING.txt TRANSLATIONS )
+
+src_prepare() {
+ need-wxwidgets unicode
+ if use doc; then
+ mv "${WORKDIR}"/svncpp.dox doc/svncpp/ || die
+ fi
+ strip-linguas $(grep ^RAPIDSVN_LANGUAGES src/locale/Makefile.am | sed 's:RAPIDSVN_LANGUAGES=::g')
+ sed \
+ -e "/^RAPIDSVN_LANGUAGES/s:=.*:=${LINGUAS}:g" \
+ -i src/locale/Makefile.am || die
+
+ mv configure.in configure.ac || die
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ append-cppflags $( apr-1-config --cppflags )
+ econf \
+ $(use_enable static-libs static) \
+ $(use_with doc manpage) \
+ $(use_with doc xsltproc) \
+ $(use_with doc doxygen) \
+ $(use_with doc dot) \
+ --with-wx-config="${WX_CONFIG}" \
+ --with-svn-lib="${EPREFIX}/usr/$(get_libdir)" \
+ --with-svn-include="${EPREFIX}/usr/include" \
+ --with-apr-config="${EPREFIX}/usr/bin/apr-1-config" \
+ --with-apu-config="${EPREFIX}/usr/bin/apu-1-config"
+}
+
+src_compile() {
+ default
+ use doc && emake -C doc/manpage manpage
+}
+
+src_install() {
+ default
+
+ doicon src/res/rapidsvn.ico src/res/bitmaps/${PN}*.png
+ make_desktop_entry rapidsvn "RapidSVN ${PV}" \
+ "${EPREFIX}/usr/share/pixmaps/rapidsvn_32x32.png" \
+ "RevisionControl;Development"
+
+ if use doc ; then
+ doman doc/manpage/${PN}.1
+ dodoc doc/svncpp/html/*
+ fi
+
+ prune_libtool_files
+}
+
+src_test() {
+ pushd src/tests/svncpp > /dev/null || die
+ default
+ ./svncpptest | grep OK || die
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2016-01-23 14:52 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-10-24 9:22 [gentoo-commits] repo/gentoo:master commit in: dev-vcs/rapidsvn/files/, dev-vcs/rapidsvn/ Pacho Ramos
-- strict thread matches above, loose matches on Subject: below --
2016-01-23 14:52 David Seifert
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox